% Compute the linear, displacement independent, strain-displacement matrix
% for a three-dimensional bar element with nfens=2 nodes.
%   Call as:
%      B = Blmat1(g, Ndersp, T)
%   where
%      self=gcell
%      Ndersp=matrix of spatial derivatives of the basis functions
%          with respect to the local coordinate system.
%      T=orthogonal matrix with the unit basis vectors of the local
%         coordinate system as columns.  In this case, only the first
%         column matters, as this is a one-dimensional element.
%         size(es)= [ndim,ndim], where ndim = Number of spatial dimensions
%         of the embedding space.
% Output:
% B = strain-displacement matrix, size (B) = [1,ndim],
%      where ndim = Number of spatial dimensions of
%      the embedding space.
%
function B = Blmat1(self, Ndersp, T)
    B = [Ndersp(1)*T(:,1)' Ndersp(2)*T(:,1)'];
    return;
end

