% Select geometric cells using some criterion, for instance a gcell is selected
% because all its nodes are inside a box or on its surface.
% Example: gcell_select(fens,gcells,struct ('box',[1 -1 2 0 4 3]))
% 
function celllist = gcell_select(fens, gcells, options)
if isfield(options,'box')
    nodelist=fenode_select(fens, options);
    celllist= [];
    for i=1: length (gcells)
        conn=get(gcells(i),'conn');
        tf = ismember(conn, nodelist);
        if sum(tf) == length(conn)
            celllist(end+1) =get(gcells(i),'id');
        end
    end
end

